Subject: Re: [bug#71371] [PATCH] gnu: svn-fetch: Make revision field optional.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 05 Jun 2024 18:09:07 +0200

Hello!

Nicolas Goaziou <[email-masked]> skribis:

> -@item @code{revision}
> -This string denotes revision to fetch specified as a number.
> +@item @code{revision} (default: @code{#f})
> +This field denotes the revision to fetch, as a number.  It can also be
> +set to @code{#f}, for example when @var{url} contains a tag reference.

Hmm, IIRC, tags in svn are mutable, no?

My recollection is that there’s no distinction between a directory, a
branch, and a tag: tags and branches are just a copy (‘svn cp’) of a
directory that can change over time.  Thus, you can’t rely on a tag as
an unambiguous reference.

Am I right?

Thanks,
Ludo’.